import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeTimelineComponent from "./src/timeline.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeTimeline = Object.assign({}, VxeTimelineComponent, {
  install(app) {
    app.component(VxeTimelineComponent.name, VxeTimelineComponent);
  }
});
dynamicApp.use(VxeTimeline);
VxeUI.component(VxeTimelineComponent);
const Timeline = VxeTimeline;
export {
  Timeline,
  VxeTimeline,
  VxeTimeline as default
};
